OpenVDB 3.2.0

Classes | Namespaces | Functions
Tuple.h File Reference
`#include <sstream>`
`#include <boost/type_traits/is_integral.hpp>`
`#include "Math.h"`

Go to the source code of this file.

## Classes
class | Tuple< SIZE, T >

## Namespaces
| openvdb
| openvdb::v3_2_0
| openvdb::v3_2_0::math

## Functions
template<int SIZE, typename T0 , typename T1 >
bool | operator< (const Tuple< SIZE, T0 > &t0, const Tuple< SIZE, T1 > &t1)
template<int SIZE, typename T0 , typename T1 >
bool | operator> (const Tuple< SIZE, T0 > &t0, const Tuple< SIZE, T1 > &t1)
template<int SIZE, typename T >
Tuple< SIZE, T > | Abs (const Tuple< SIZE, T > &t)
template<int SIZE, typename T >
std::ostream & | operator<< (std::ostream &ostr, const Tuple< SIZE, T > &classname)
| Write a Tuple to an output stream. More...

## Detailed Description

Author
  Ben Kwa